Part Cone: Difference between revisions

From FreeCAD Documentation
(Properties)
mNo edit summary
Line 23: Line 23:


<!--T:7-->
<!--T:7-->
The [[Image:Part_Cone.svg|24px]] [[Part_Cone|Part Cone]] command creates a parametric cone solid. In the coordinate system defined by its {{PropertyData|Placement}} property, the bottom face of the cone lies on the XY plane with its center at the origin.
The [[Image:Part_Cone.svg|24px]] '''Part Cone''' command creates a parametric cone solid. In the coordinate system defined by its {{PropertyData|Placement}} property, the bottom face of the cone lies on the XY plane with its center at the origin.


The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its {{PropertyData|Radius1}} or {{PropertyData|Radius2}} property to zero. It can be turned into a segment of a cone by changing its {{PropertyData|Angle}} property.
The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its {{PropertyData|Radius1}} or {{PropertyData|Radius2}} property to zero. It can be turned into a segment of a cone by changing its {{PropertyData|Angle}} property.

Revision as of 13:33, 1 March 2022

Part Cone

Menu location
Part → Primitives → Cone
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Cone command creates a parametric cone solid. In the coordinate system defined by its DataPlacement property, the bottom face of the cone lies on the XY plane with its center at the origin.

The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its DataRadius1 or DataRadius2 property to zero. It can be turned into a segment of a cone by changing its DataAngle property.

Usage

  1. There are several ways to invoke the command:
    • Press the Cone button.
    • Select the Part → Primitives → Cone option from the menu.

Example

Part Cone scripting example

A Part Cone object with the values of the bottom scripting example are shown here.

Properties

See also: Property editor.

A Part Torus object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cone

  • DataRadius1 (Length): The radius of the bottom face of the cone. Can be 0 if DataRadius2 is larger than 0. The default is 2mm.
  • DataRadius2 (Length): The radius of the top face of the cone. Can be 0 if DataRadius1 is larger than 0. The default is 4mm.
  • DataHeight (Length): The height of the cone. The default is 10mm.
  • DataAngle (Angle): The angle of the circular arc that defines the top and bottom face of the cone. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cone.

Scripting

A Part Cone can be created using the following function:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where myCone is the user editable name for the object.
  • The function returns the newly created object.

The label text of the object can be easily changed by

cone.Label = "new myConeName"

You can access and modify attributes of the cone object. For example, you may wish to modify the lower or upper radius, the height or the angle parameters.

cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270

The result will be a 270° portion of a full cone.

You can change its placement and orientation with:

cone.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(30, 60, 15))